#include <WiFi.h>

//MASTER CODE
int buttonState = 0;  // variable for reading the pushbutton status
// Replace with your network credentials
const char* ssid = "GuestWifi"; 
const char* password = "Cr3at1v3!"; 

// Set the server port  
WiFiServer server(80); 

void setup() { 
  Serial.begin(115200);
  // initialize the LED pin as an output:
  pinMode(20, OUTPUT);
  // initialize the pushbutton pin as an input:
  pinMode(21, INPUT_PULLUP);

  // Connect to Wi-Fi
  WiFi.begin(ssid, password); 
  Serial.print("Connecting to Wi-Fi"); 
  while (WiFi.status() != WL_CONNECTED) { 
    delay(1000); 
    Serial.print("."); 
  } 
  Serial.println(" connected"); 
  
  // Start the server 
  server.begin(); 
  Serial.println("Server started"); 
  Serial.print("IP Address: "); 
  Serial.println(WiFi.localIP()); 
}  

void loop() { 
    buttonState = digitalRead(21);
  if (buttonState == LOW) {
    // The button is pressed
    Serial.println("Button pressed");
  } else {
    // The button is not pressed
    Serial.println("Button released");
  }
  
  delay(100);  // Delay for debouncing
  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (buttonState == HIGH) {
    // turn LED on:
    digitalWrite(20, LOW);
  } else {
    // turn LED off:
    digitalWrite(20, HIGH);
  } 
  WiFiClient client = server.available(); 
  if (client) { 
    Serial.println("Client connected"); 
    while (client.connected()) { 
      if (client.available()) { 
        String request = client.readStringUntil('\r'); 
        Serial.println(request); 
        client.flush(); 

        // Send a response
        client.println("Hello from the server!"); 
        client.stop(); 
        Serial.println("Client disconnected"); 
      } 
    } 
  } 
} 
